Adobe Reader < 2017.011.30202 / 2020.004.30015 / 2021.007.20091 多个漏洞 (APSB21-55) (macOS)

high Nessus 插件 ID 153365

简介

远程 macOS 主机上安装的 Adobe Reader 版本受到多个漏洞的影响。

描述

远程 macOS 主机上安装的 Adobe Reader 版本低于 2017.011.30202、2020.004.30015 或 2021.007.20091。因此,该主机受到多个漏洞的影响。

- Acrobat Reader DC 2021.005.20060 版(和更早版本)、2020.004.30006 版(和更早版本)以及 2017.011.30199 版(和更早版本)在解析特别构建的 PDF 文件时受到缓冲区溢出漏洞的影响。
未经身份验证的远程攻击者可利用此漏洞,在当前用户环境中执行任意代码。利用此问题需要用户交互,受害者必须打开恶意文件。(CVE-2021-39863)

- Acrobat Reader DC 2021.005.20060 版(和更早版本)、2020.004.30006 版(和更早版本)以及 2017.011.30199 版(和更早版本)受到不受控制的搜索路径元素漏洞的影响。攻击者可利用此漏洞,通过 DLL 劫持在当前用户环境中执行任意代码。若要利用此问题,需要用户交互。(CVE-2021-35982)

- Acrobat Reader DC 2021.005.20060 版(和更早版本)、2020.004.30006 版(和更早版本)以及 2017.011.30199 版(和更早版本)在处理 AcroForm buttonGetIcon 操作时受到释放后使用漏洞的影响,可能导致在当前用户环境中执行任意代码。
利用此漏洞需要用户交互,受害者必须打开恶意文件。
(CVE-2021-39836)

- Acrobat Reader DC 2021.005.20060 版(和更早版本)、2020.004.30006 版(和更早版本)以及 2017.011.30199 版(和更早版本)在处理 AcroForm deleteItemAt 操作时受到释放后使用漏洞的影响,可能导致在当前用户环境中执行任意代码。
利用此漏洞需要用户交互,受害者必须打开恶意文件。
(CVE-2021-39837)

- Acrobat Reader DC 2021.005.20060 版(和更早版本)、2020.004.30006 版(和更早版本)以及 2017.011.30199 版(和更早版本)在处理 AcroForm buttonGetCaption 操作时受到释放后使用漏洞的影响,可能导致在当前用户环境中执行任意代码。
利用此漏洞需要用户交互,受害者必须打开恶意文件。
(CVE-2021-39838)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级版本到 2017.011.30202 / 2020.004.30015 / 2021.007.20091 或更高版本。

另见

https://cwe.mitre.org/data/definitions/121.html

https://cwe.mitre.org/data/definitions/122.html

https://cwe.mitre.org/data/definitions/125.html

https://cwe.mitre.org/data/definitions/200.html

https://cwe.mitre.org/data/definitions/416.html

https://cwe.mitre.org/data/definitions/427.html

https://cwe.mitre.org/data/definitions/476.html

https://cwe.mitre.org/data/definitions/787.html

https://cwe.mitre.org/data/definitions/843.html

https://helpx.adobe.com/security/products/acrobat/apsb21-55.html

插件详情

严重性: High

ID: 153365

文件名: macos_adobe_reader_apsb21-55.nasl

版本: 1.7

类型: local

代理: macosx

发布时间: 2021/9/14

最近更新时间: 2022/1/26

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-39863

CVSS v3

风险因素: High

基本分数: 7.8

时间分数: 6.8

矢量: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:adobe:acrobat_reader

必需的 KB 项: Host/local_checks_enabled, Host/MacOSX/Version, installed_sw/Adobe Reader

易利用性: No known exploits are available

补丁发布日期: 2021/9/14

漏洞发布日期: 2021/9/14

参考资料信息

CVE: CVE-2021-35982, CVE-2021-39836, CVE-2021-39837, CVE-2021-39838, CVE-2021-39839, CVE-2021-39840, CVE-2021-39841, CVE-2021-39842, CVE-2021-39843, CVE-2021-39844, CVE-2021-39845, CVE-2021-39846, CVE-2021-39849, CVE-2021-39850, CVE-2021-39851, CVE-2021-39852, CVE-2021-39853, CVE-2021-39854, CVE-2021-39855, CVE-2021-39856, CVE-2021-39857, CVE-2021-39858, CVE-2021-39859, CVE-2021-39860, CVE-2021-39861, CVE-2021-39863

IAVA: 2021-A-0415-S

CWE: 121, 122, 125, 200, 416, 427, 476, 787, 843